<?php

namespace Drupal\notes\Form;

use Drupal\Core\Routing\RouteMatchInterface;

class NoteReplyForm extends NoteForm {

  /**
   * {@inheritdoc}
   */
  public function getEntityFromRouteMatch(RouteMatchInterface $route_match, $entity_type_id) {
    /** @var \Drupal\message\Entity\Message $note */
    $note = parent::getEntityFromRouteMatch($route_match, $entity_type_id);

    $values = [
      'template' => 'note',
      'note_in_reply_to' => $note,
    ];
    foreach ($note->getFieldDefinitions() as $field_name => $definition) {
      if ($definition->getSetting('notes_attachment_field')) {
        $values[$field_name] = $note->get($field_name)->getValue();
      }
    }

    return $this->entityTypeManager->getStorage('message')->create($values);
  }

}
